package de.uni_passau.spl.featurebite.util;

import java.util.HashMap;

import de.uni_passau.spl.featurebite.util.CountMap.MutableInteger;

public class CountMap extends HashMap<String, MutableInteger> {

	private static final long serialVersionUID = -7886699059432366771L;

	public static final class MutableInteger {
		int value = 1; // note that we start at 1 since we're counting

		public void incrementValue() {
			value++;
		}

		public void decrementValue() {
			value--;
		}

		public int getValue() {
			return value;
		}

		@Override
		public String toString() {
			return "" + value;
		}

	}

	public void increment(String key) {
		MutableInteger value = super.get(key);
		if (value == null) {
			this.put((String) key, new MutableInteger());
		} else {	
			value.incrementValue();
		}
	}

	public void decrement(String key) {
		MutableInteger value = super.get(key);
		if (value == null) {
		} else {
			value.decrementValue();
		}
	}
}
