import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;

import org.apache.commons.io.FileUtils;
import org.objectweb.asm.ClassReader;
import org.objectweb.asm.tree.ClassNode;

/**
 * 
 */

/**
 * @author Claus
 * 
 */
public class StreamCloseTest {

	public static void main(String[] args) throws IOException {

		/* read in base feature file */
		File baseFile = new File("Test.class");
		FileUtils.copyFile(new File("examples/EPL/base_stubfix_classes/tmp/Test.class"), baseFile);

		/* read base class file */
		FileInputStream fis = new FileInputStream(baseFile);
		ClassReader baseReader = new ClassReader(fis);
		fis.close();
		/* create new class node and put base in it */
		ClassNode baseNode = new ClassNode();

		/* parse base class */
		baseReader.accept(baseNode, ClassReader.SKIP_DEBUG);

		/* delete test file */
		FileUtils.forceDelete(baseFile);

	}

}
