package de.uni_passau.spl.featurebite.verification;

import java.io.File;
import java.io.IOException;
import java.net.URL;
import java.net.URLClassLoader;
import java.util.Collection;

public class JarFileClassLoader extends URLClassLoader {

	public JarFileClassLoader(Collection<File> additionalFiles) throws IOException {
		super(new URL[] {}, ClassLoader.getSystemClassLoader());
		
		for (File file : additionalFiles) {
			this.addFile(file);
		}
	}

	private void addFile(File path) throws IOException {
		addURL(path.toURI().toURL());
	}

}
